Bug 28986 - gnome-terminal scroll region differs from xterm
Summary: gnome-terminal scroll region differs from xterm
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-23 06:42 UTC by Pete Zaitcev
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-23 15:25:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pete Zaitcev 2001-02-23 06:42:25 UTC
If illegal arguments are supplied to the escape that sets scroll
region, xterm restores it to the full window; gnome-terminal
tries to honor them and gets one line region.

This happens with all releases between RH 6.2 and Wolverine
(latest beta at this moment).

To reproduce:

1. Set region -  echo -ne "\033[1;22r"

2. Scroll and observe, two bottom lines remain untouched. Good.

3. Set illegal region -  echo -ne "\033[0;0r"

4. Hit Enter several times. In xterm whole window will scroll.

Comment 1 Havoc Pennington 2001-07-12 19:03:45 UTC
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=57453

Closing here


Note You need to log in before you can comment on or make changes to this bug.